Clicks
List all clicks
GET
/
clicks
/
List all clicks
curl --request GET \
--url https://api.tapfiliate.com/1.6/clicks/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/clicks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/clicks/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/clicks/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/clicks/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/clicks/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tapfiliate.com/1.6/clicks/")
.header("X-Api-Key", "<api-key>")
.asString();[
{
"id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"created_at": "2023-12-14T00:00:00+00:00",
"meta_data": [
{
"key": "subid1",
"value": "baz"
}
],
"details": {
"os": "Mac OS X",
"os_version": "10.15.1",
"browser": "Chrome",
"browser_version": "81",
"referrer": "https://example-blog.inc/check-out-johns-product/",
"platform": "Desktop",
"landing_page_url": "https://tapper.inc/johns-cool-product/"
},
"geolocation": {
"country": "United States",
"country_code": "US"
}
}
]{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}Authorizations
Your API key, from your Tapfiliate account settings.
Query Parameters
The program Id
The affiliate Id
Date From, a day in UTC
Date To, a day in UTC
meta_data (optional, array) ... Meta Data value filter, example meta_data[key]
string
default:subid1&meta_data[value]=baz
required
⌘I
List all clicks
curl --request GET \
--url https://api.tapfiliate.com/1.6/clicks/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/clicks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/clicks/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/clicks/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/clicks/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/clicks/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tapfiliate.com/1.6/clicks/")
.header("X-Api-Key", "<api-key>")
.asString();[
{
"id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"created_at": "2023-12-14T00:00:00+00:00",
"meta_data": [
{
"key": "subid1",
"value": "baz"
}
],
"details": {
"os": "Mac OS X",
"os_version": "10.15.1",
"browser": "Chrome",
"browser_version": "81",
"referrer": "https://example-blog.inc/check-out-johns-product/",
"platform": "Desktop",
"landing_page_url": "https://tapper.inc/johns-cool-product/"
},
"geolocation": {
"country": "United States",
"country_code": "US"
}
}
]{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}